org.apache.solr.common.params

## Interface SpellingParams

-     public interface SpellingParams

  Parameters used for spellchecking
  Since:
    solr 1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SPELLCHECK_ACCURACY` Certain spelling implementations may allow for an accuracy setting.
    `static String` | `SPELLCHECK_ALTERNATIVE_TERM_COUNT` The count of suggestions to return for each query term existing in the index and/or dictionary.
    `static String` | `SPELLCHECK_BUILD` Whether to build the index or not.
    `static String` | `SPELLCHECK_COLLATE` Take the top suggestion for each token and create a new query from it
    `static String` | `SPELLCHECK_COLLATE_EXTENDED_RESULTS` Whether to use the Extended Results Format for collations.
    `static String` | `SPELLCHECK_COLLATE_MAX_COLLECT_DOCS` For use with `SPELLCHECK_MAX_COLLATION_TRIES` and `SPELLCHECK_COLLATE_EXTENDED_RESULTS`.
    `static String` | `SPELLCHECK_COLLATE_PARAM_OVERRIDE` For use with `SPELLCHECK_MAX_COLLATION_TRIES`, use this to override any original query parameters when issuing test queries.
    `static String` | `SPELLCHECK_COUNT` The count of suggestions to return for each query term not in the index and/or dictionary.
    `static String` | `SPELLCHECK_DICT` The name of the dictionary to be used for giving the suggestion for a request.
    `static String` | `SPELLCHECK_EXTENDED_RESULTS` Whether to use the extended response format, which is more complicated but richer.
    `static String` | `SPELLCHECK_MAX_COLLATION_EVALUATIONS` The maximum number of word correction combinations to rank and evaluate prior to deciding which collation candidates to test against the index.
    `static String` | `SPELLCHECK_MAX_COLLATION_TRIES` The maximum number of collations to test by querying against the index.
    `static String` | `SPELLCHECK_MAX_COLLATIONS` The maximum number of collations to return.
    `static String` | `SPELLCHECK_MAX_RESULTS_FOR_SUGGEST` The maximum number of hits the request can return in order to both generate spelling suggestions and set the "correctlySpelled" element to "false".
    `static String` | `SPELLCHECK_MAX_RESULTS_FOR_SUGGEST_FQ` To be used when `SPELLCHECK_MAX_RESULTS_FOR_SUGGEST` is expressed as a fractional percentage.
    `static String` | `SPELLCHECK_ONLY_MORE_POPULAR` When this parameter is set to true and the misspelled word exists in the user field, only words that occur more frequently in the Solr field than the one given will be returned.
    `static String` | `SPELLCHECK_PREFIX`
    `static String` | `SPELLCHECK_Q` Use the value for this parameter as the query to spell check.
    `static String` | `SPELLCHECK_RELOAD` Whether to reload the index.

- - ### Field Detail

    - #### SPELLCHECK_PREFIX

          static final String SPELLCHECK_PREFIX

      See Also:
        Constant Field Values

    - #### SPELLCHECK_DICT

          static final String SPELLCHECK_DICT

      The name of the dictionary to be used for giving the suggestion for a request. The value for this parameter is configured in solrconfig.xml
      See Also:
        Constant Field Values

    - #### SPELLCHECK_COUNT

          static final String SPELLCHECK_COUNT

      The count of suggestions to return for each query term not in the index and/or dictionary.

      If this parameter is absent in the request then only one suggestion is returned. If it is more than one then a maximum of given suggestions are returned for each token in the query.

      See Also:
        Constant Field Values

    - #### SPELLCHECK_ALTERNATIVE_TERM_COUNT

          static final String SPELLCHECK_ALTERNATIVE_TERM_COUNT

      The count of suggestions to return for each query term existing in the index and/or dictionary.

      If this parameter is absent in the request then no suggestions are generated. This parameter allows for receiving alternative terms to use in context-sensitive spelling corrections.

      See Also:
        Constant Field Values

    - #### SPELLCHECK_MAX_RESULTS_FOR_SUGGEST

          static final String SPELLCHECK_MAX_RESULTS_FOR_SUGGEST

      The maximum number of hits the request can return in order to both generate spelling suggestions and set the "correctlySpelled" element to "false". This can be specified either as a whole number number of documents, or it can be expressed as a fractional percentage of documents returned by a chosen filter query. By default, the chosen filter is the most restrictive fq clause. This can be overridden with `SPELLCHECK_MAX_RESULTS_FOR_SUGGEST_FQ` .

      If left unspecified, the default behavior will prevail. That is, "correctlySpelled" will be false and suggestions will be returned only if one or more of the query terms are absent from the dictionary and/or index. If set to zero, the "correctlySpelled" flag will be false only if the response returns zero hits. If set to a value greater than zero, suggestions will be returned even if hits are returned (up to the specified number). This number also will serve as the threshold in determining the value of "correctlySpelled". Specifying a value greater than zero is useful for creating "did-you-mean" suggestions for queries that return a low number of hits.

      See Also:
        Constant Field Values

    - #### SPELLCHECK_MAX_RESULTS_FOR_SUGGEST_FQ

          static final String SPELLCHECK_MAX_RESULTS_FOR_SUGGEST_FQ

      To be used when `SPELLCHECK_MAX_RESULTS_FOR_SUGGEST` is expressed as a fractional percentage. Specify a filter query whose result count is used to determine the maximum number of documents.

      See Also:
        Constant Field Values

    - #### SPELLCHECK_ONLY_MORE_POPULAR

          static final String SPELLCHECK_ONLY_MORE_POPULAR

      When this parameter is set to true and the misspelled word exists in the user field, only words that occur more frequently in the Solr field than the one given will be returned. The default value is false.

      This is applicable only for dictionaries built from Solr fields.

      See Also:
        Constant Field Values

    - #### SPELLCHECK_EXTENDED_RESULTS

          static final String SPELLCHECK_EXTENDED_RESULTS

      Whether to use the extended response format, which is more complicated but richer. Returns the document frequency for each suggestion and returns one suggestion block for each term in the query string. Default is false.

      This is applicable only for dictionaries built from Solr fields.

      See Also:
        Constant Field Values

    - #### SPELLCHECK_Q

          static final String SPELLCHECK_Q

      Use the value for this parameter as the query to spell check.

      This parameter is optional. If absent, then the q parameter is used.

      See Also:
        Constant Field Values

    - #### SPELLCHECK_BUILD

          static final String SPELLCHECK_BUILD

      Whether to build the index or not. Optional and false by default.
      See Also:
        Constant Field Values

    - #### SPELLCHECK_RELOAD

          static final String SPELLCHECK_RELOAD

      Whether to reload the index. Optional and false by default.
      See Also:
        Constant Field Values

    - #### SPELLCHECK_COLLATE

          static final String SPELLCHECK_COLLATE

      Take the top suggestion for each token and create a new query from it
      See Also:
        Constant Field Values

    - #### SPELLCHECK_MAX_COLLATIONS

          static final String SPELLCHECK_MAX_COLLATIONS

      The maximum number of collations to return. Default=1. Ignored if "spellcheck.collate" is false.

      See Also:
        Constant Field Values

    - #### SPELLCHECK_MAX_COLLATION_TRIES

          static final String SPELLCHECK_MAX_COLLATION_TRIES

      The maximum number of collations to test by querying against the index. When testing, the collation is substituted for the original query's "q" param. Any "qf"s are retained. If this is set to zero, does not test for hits before returning collations (returned collations may result in zero hits). Default=0. Ignored of "spellcheck.collate" is false.

      See Also:
        Constant Field Values

    - #### SPELLCHECK_MAX_COLLATION_EVALUATIONS

          static final String SPELLCHECK_MAX_COLLATION_EVALUATIONS

      The maximum number of word correction combinations to rank and evaluate prior to deciding which collation candidates to test against the index. This is a performance safety-net in cases a user enters a query with many misspelled words. The default is 10,000 combinations.

      See Also:
        Constant Field Values

    - #### SPELLCHECK_COLLATE_MAX_COLLECT_DOCS

          static final String SPELLCHECK_COLLATE_MAX_COLLECT_DOCS

      For use with `SPELLCHECK_MAX_COLLATION_TRIES` and `SPELLCHECK_COLLATE_EXTENDED_RESULTS`. A performance optimization in cases where the exact number of hits a collation would return is not needed. Specify "0" to return the exact # of hits, otherwise give the maximum documents Lucene should collect with which to base an estimate. The higher the value the more likely the estimates will be accurate (at expense of performance).

      The default is 0 (report exact hit-counts) when `SPELLCHECK_COLLATE_EXTENDED_RESULTS` is TRUE. When `SPELLCHECK_COLLATE_EXTENDED_RESULTS` is FALSE, this optimization is always performed.

      See Also:
        Constant Field Values

    - #### SPELLCHECK_COLLATE_EXTENDED_RESULTS

          static final String SPELLCHECK_COLLATE_EXTENDED_RESULTS

      Whether to use the Extended Results Format for collations. Includes "before>after" pairs to easily allow clients to generate messages like "no results for PORK. did you mean POLK?" Also indicates the # of hits each collation will return on re-query. Default=false, which retains 1.4-compatible output.

      Note: that if `SPELLCHECK_COLLATE_MAX_COLLECT_DOCS` is set to a value greater than 0, then the hit counts returned by this will be estimated.

      See Also:
        Constant Field Values

    - #### SPELLCHECK_COLLATE_PARAM_OVERRIDE

          static final String SPELLCHECK_COLLATE_PARAM_OVERRIDE

      For use with `SPELLCHECK_MAX_COLLATION_TRIES`, use this to override any original query parameters when issuing test queries. For instance, if the original query has "mm=1" but it is preferred to test collations with "mm=100%", then use "spellcheck.collateParam.mm=100%".

      See Also:
        Constant Field Values

    - #### SPELLCHECK_ACCURACY

          static final String SPELLCHECK_ACCURACY

      Certain spelling implementations may allow for an accuracy setting.
      See Also:
        Constant Field Values

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.